package com.lukouguoji.aerologic.page.message.list

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityMessageListBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.ktx.addOnItemClickListener
import com.lukouguoji.module_base.ktx.getLifecycleOwner

class MessageListActivity :
    BaseBindingActivity<ActivityMessageListBinding, MessageListViewModel>() {
    override fun layoutId(): Int {
        return R.layout.activity_message_list
    }

    override fun viewModelClass(): Class<MessageListViewModel> {
        return MessageListViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("消息管理")
        binding.viewModel = viewModel
        viewModel.pageModel.bindSmartRefreshLayout(
            binding.srl,
            binding.rv,
            viewModel,
            getLifecycleOwner()
        )

        binding.rv.addOnItemClickListener(viewModel)
    }

    override fun onResume() {
        super.onResume()
        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, MessageListActivity::class.java)
            context.startActivity(starter)
        }
    }
}